Download it now!
Bug 131212 - Implement change user password in Firebird
Summary: Implement change user password in Firebird
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium enhancement
Assignee: Julien Nabet
URL:
Whiteboard: target:7.0.0 target:6.4.3 target:6.3.6
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-07 22:11 UTC by Julien Nabet
Modified: 2020-04-08 13:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2020-03-07 22:11:07 UTC
Description:
On pc Debian x86-64 with master sources updated today, when trying to change password of a Firebird non embebbed DB, I get:
‘XAuthorizable:changePassword’. It is not implemented

Steps to Reproduce:
1. Make or open a split Firebird database
2. Select Tools>User Administration...
3. Click "Change Password..." button
4. Fill fields
5. Click Ok

Actual Results:
Error popup message with ‘XAuthorizable:changePassword’. It is not implemented

Expected Results:
No error and password is changed


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+
Build ID: 10e20a77ce302a0475a661ad1886f2ca83c55f3f
CPU threads: 12; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: fr-FR (fr_FR.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Commit Notification 2020-03-08 06:13:22 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/08334285ec9c7d5356f4b89192a5fba6e6733328

tdf#131212: Implement change user password in Firebird

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 bugposter 2020-03-08 08:48:23 UTC
Tested fix with today's build. Problems maintain with slightly different outcome in Windows.

Steps to reproduce:
1. Make or open a split Firebird database
2. Select Tools>User Administration...

Actual results:
1. Error popup message with ‘XAuthorizable:changePassword’. It is not implemented
2. After clicking OK error popup reappears with outline User Administration window on background, being filled click by click.
3. After 5th error message User Administration window is available although only last two letters of user is visible

Expected Results:
Being able to manage user administration

Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: f61fa885ed929e7d4aea4d84b2ddadea4825eb18
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win; 
Locale: en-IE (en_IE); UI-Language: en-GB
Calc: threaded
Comment 3 Julien Nabet 2020-03-08 09:02:19 UTC
(In reply to bugposter from comment #2)
> Tested fix with today's build. Problems maintain with slightly different
> outcome in Windows.
> 
> Steps to reproduce:
> 1. Make or open a split Firebird database
> 2. Select Tools>User Administration...
> 
> Actual results:
> 1. Error popup message with ‘XAuthorizable:changePassword’. It is not
> implemented
> 2. After clicking OK error popup reappears with outline User Administration
> window on background, being filled click by click.
> 3. After 5th error message User Administration window is available although
> only last two letters of user is visible
Yep, it happens if there's some table or view.
On a database without any tables or views, it doesn't happen.
I'm gonna create a brand new bugtracker about this.
Comment 4 Julien Nabet 2020-03-08 09:07:57 UTC
> ...
> I'm gonna create a brand new bugtracker about this.
Done here:
https://bugs.documentfoundation.org/show_bug.cgi?id=131219
Comment 5 Commit Notification 2020-03-10 06:27:37 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/358d34e12d8f88543ddca8c0e852712e6ef1b10c

tdf#131212: Implement change user password in Firebird

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-04-08 13:43:36 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/877b67f5d69306beb6ceca5b3d75349c2716c77e

tdf#131212: Implement change user password in Firebird

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.